MGASA-2021-0563 - Updated botan2 packages fix security vulnerability

Publication date: 19 Dec 2021
URL: https://advisories.mageia.org/MGASA-2021-0563.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-40529

Updated botan2 packages fix security vulnerability:

The ElGamal implementation in Botan through 2.18.1, as used in Thunderbird
and other products, allows plaintext recovery because, during interaction
between two cryptographic libraries, a certain dangerous combination of the
prime defined by the receiver's public key, the generator defined by the
receiver's public key, and the sender's ephemeral exponents can lead to a
cross-configuration attack against OpenPGP (CVE-2021-40529).

References:
- https://bugs.mageia.org/show_bug.cgi?id=29659
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-40529

SRPMS:
- 8/core/botan2-2.17.3-2.1.mga8